Index: tools/xcw/demo/Makefile
===================================================================
--- tools/xcw/demo/Makefile	(revision 2c9fdeedc215dcd9caf895b28b729baafa0f3971)
+++ tools/xcw/demo/Makefile	(revision 38f55980b853a6d2953396322e7620146fa59ad2)
@@ -50,7 +50,7 @@
 INSTALL = install
 TEST = helenos-test
-CFLAGS = -std=gnu11 -Wall `helenos-pkg-config --cflags libgui libdraw libmath` \
+CFLAGS = -std=gnu11 -Wall `helenos-pkg-config --cflags libui libdraw libmath` \
     -D_HELENOS_SOURCE
-LIBS = `helenos-pkg-config --libs libgui libdraw libmath`
+LIBS = `helenos-pkg-config --libs libui libdraw libmath`
 PREFIX = `helenos-bld-config --install-dir`
 output = viewer
Index: uspace/lib/meson.build
===================================================================
--- uspace/lib/meson.build	(revision 2c9fdeedc215dcd9caf895b28b729baafa0f3971)
+++ uspace/lib/meson.build	(revision 38f55980b853a6d2953396322e7620146fa59ad2)
@@ -34,5 +34,4 @@
 	'math',
 	'display',
-	'gui',
 	'draw',
 	'softrend',
@@ -44,4 +43,5 @@
 	'ipcgfx',
 	'display',
+	'ui',
 ]
 
@@ -98,5 +98,4 @@
 	'display',
 
-	'gui',
 	'ui',
 ]
